from selenium import webdriver
import os
import json

driver = webdriver.Chrome()
driver.maximize_window()

def login():

    driver.get("https://www.jd.com")

    driver.find_element_by_class_name("link-login").click()
    driver.find_element_by_link_text("账户登录").click()
    driver.find_element_by_id("loginname").send_keys("yp289965734")
    driver.find_element_by_id("nloginpwd").send_keys("12345QWERT")
    driver.find_element_by_id("loginsubmit").click()

    save_cookie_tofile(driver)



def save_cookie_tofile(driver):
    file_path = get_cookie_dir()
    # 保存cookies到文件中
    cookies = driver.get_cookies()
    with open(file_path + "/jd.cookies","w") as c:
        json.dump(cookies,c)



'''
获取cookies目录
'''
def get_cookie_dir():
    project_path = os.path.dirname(os.getcwd())
    print("cwd =" + os.getcwd())

    file_path = project_path + "/cookies/"
    if not os.path.exists(file_path):
        os.mkdir(file_path)
    return file_path

if __name__ == "__main__":
    login()
